Upstream information

CVE-2020-8032 at MITRE

Description

A Insecure Temporary File vulnerability in the packaging of cyrus-sasl of openSUSE Factory allows local attackers to escalate to root. This issue affects: openSUSE Factory cyrus-sasl version 2.1.27-4.2 and prior versions.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.9
Vector AV:L/AC:M/Au:N/C:C/I:C/A:C
Access Vector Local
Access Complexity Medium
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7 8.4
Vector CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H CVSS:3.1/AV:L/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
Attack Vector Local Local
Attack Complexity High Low
Privileges Required Low None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1180669 [IN_PROGRESS]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 7.1
SUSE Linux Enterprise Desktop 15 SP3
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Module for Basesystem 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • cyrus-sasl >= 2.1.27-2.2
  • cyrus-sasl-32bit >= 2.1.27-2.2
  • cyrus-sasl-crammd5 >= 2.1.27-2.2
  • cyrus-sasl-crammd5-32bit >= 2.1.27-2.2
  • cyrus-sasl-devel >= 2.1.27-2.2
  • cyrus-sasl-digestmd5 >= 2.1.27-2.2
  • cyrus-sasl-digestmd5-32bit >= 2.1.27-2.2
  • cyrus-sasl-gssapi >= 2.1.27-2.2
  • cyrus-sasl-gssapi-32bit >= 2.1.27-2.2
  • cyrus-sasl-otp >= 2.1.27-2.2
  • cyrus-sasl-plain >= 2.1.27-2.2
  • cyrus-sasl-plain-32bit >= 2.1.27-2.2
  • libsasl2-3 >= 2.1.27-2.2
  • libsasl2-3-32bit >= 2.1.27-2.2
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP3 GA cyrus-sasl-2.1.27-2.2
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Basesystem 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • cyrus-sasl >= 2.1.27-150300.4.6.1
  • cyrus-sasl-32bit >= 2.1.27-150300.4.6.1
  • cyrus-sasl-crammd5 >= 2.1.27-150300.4.6.1
  • cyrus-sasl-crammd5-32bit >= 2.1.27-150300.4.6.1
  • cyrus-sasl-devel >= 2.1.27-150300.4.6.1
  • cyrus-sasl-digestmd5 >= 2.1.27-150300.4.6.1
  • cyrus-sasl-digestmd5-32bit >= 2.1.27-150300.4.6.1
  • cyrus-sasl-gssapi >= 2.1.27-150300.4.6.1
  • cyrus-sasl-gssapi-32bit >= 2.1.27-150300.4.6.1
  • cyrus-sasl-otp >= 2.1.27-150300.4.6.1
  • cyrus-sasl-plain >= 2.1.27-150300.4.6.1
  • cyrus-sasl-plain-32bit >= 2.1.27-150300.4.6.1
  • libsasl2-3 >= 2.1.27-150300.4.6.1
  • libsasl2-3-32bit >= 2.1.27-150300.4.6.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP4 GA cyrus-sasl-2.1.27-150300.4.6.1
openSUSE Leap 15.3
  • cyrus-sasl >= 2.1.27-2.2
  • cyrus-sasl-32bit >= 2.1.27-2.2
  • cyrus-sasl-crammd5 >= 2.1.27-2.2
  • cyrus-sasl-crammd5-32bit >= 2.1.27-2.2
  • cyrus-sasl-digestmd5 >= 2.1.27-2.2
  • cyrus-sasl-digestmd5-32bit >= 2.1.27-2.2
  • cyrus-sasl-gssapi >= 2.1.27-2.2
  • cyrus-sasl-gssapi-32bit >= 2.1.27-2.2
  • cyrus-sasl-plain >= 2.1.27-2.2
  • cyrus-sasl-plain-32bit >= 2.1.27-2.2
  • libsasl2-3 >= 2.1.27-2.2
  • libsasl2-3-32bit >= 2.1.27-2.2
Patchnames:
openSUSE Leap 15.3 GA cyrus-sasl-2.1.27-2.2
openSUSE Leap 15.4
  • cyrus-sasl >= 2.1.27-150300.4.6.1
  • cyrus-sasl-32bit >= 2.1.27-150300.4.6.1
  • cyrus-sasl-crammd5 >= 2.1.27-150300.4.6.1
  • cyrus-sasl-crammd5-32bit >= 2.1.27-150300.4.6.1
  • cyrus-sasl-digestmd5 >= 2.1.27-150300.4.6.1
  • cyrus-sasl-digestmd5-32bit >= 2.1.27-150300.4.6.1
  • cyrus-sasl-gssapi >= 2.1.27-150300.4.6.1
  • cyrus-sasl-gssapi-32bit >= 2.1.27-150300.4.6.1
  • cyrus-sasl-plain >= 2.1.27-150300.4.6.1
  • cyrus-sasl-plain-32bit >= 2.1.27-150300.4.6.1
  • libsasl2-3 >= 2.1.27-150300.4.6.1
  • libsasl2-3-32bit >= 2.1.27-150300.4.6.1
Patchnames:
openSUSE Leap 15.4 GA cyrus-sasl-2.1.27-150300.4.6.1
openSUSE Tumbleweed
  • cyrus-sasl >= 2.1.27-5.7
  • cyrus-sasl-32bit >= 2.1.27-5.7
  • cyrus-sasl-crammd5 >= 2.1.27-5.7
  • cyrus-sasl-crammd5-32bit >= 2.1.27-5.7
  • cyrus-sasl-devel >= 2.1.27-5.7
  • cyrus-sasl-devel-32bit >= 2.1.27-5.7
  • cyrus-sasl-digestmd5 >= 2.1.27-5.7
  • cyrus-sasl-digestmd5-32bit >= 2.1.27-5.7
  • cyrus-sasl-gs2 >= 2.1.27-5.7
  • cyrus-sasl-gssapi >= 2.1.27-5.7
  • cyrus-sasl-gssapi-32bit >= 2.1.27-5.7
  • cyrus-sasl-ntlm >= 2.1.27-5.7
  • cyrus-sasl-otp >= 2.1.27-5.7
  • cyrus-sasl-otp-32bit >= 2.1.27-5.7
  • cyrus-sasl-plain >= 2.1.27-5.7
  • cyrus-sasl-plain-32bit >= 2.1.27-5.7
  • cyrus-sasl-scram >= 2.1.27-5.7
  • libsasl2-3 >= 2.1.27-5.7
  • libsasl2-3-32bit >= 2.1.27-5.7
Patchnames:
openSUSE Tumbleweed GA cyrus-sasl-2.1.27-5.7


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7 cyrus-sasl Not affected
SUSE Enterprise Storage 7.1 cyrus-sasl Already fixed
SUSE Linux Enterprise Desktop 15 SP4 cyrus-sasl Already fixed
SUSE Linux Enterprise High Performance Computing 12 SP5 cyrus-sasl Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 cyrus-sasl Already fixed
SUSE Linux Enterprise Micro 5.1 cyrus-sasl Already fixed
SUSE Linux Enterprise Micro 5.2 cyrus-sasl Already fixed
SUSE Linux Enterprise Micro 5.3 cyrus-sasl Already fixed
SUSE Linux Enterprise Module for Basesystem 15 SP4 cyrus-sasl Already fixed
SUSE Linux Enterprise Real Time 15 SP3 cyrus-sasl Already fixed
SUSE Linux Enterprise Server 12 SP5 cyrus-sasl Not affected
SUSE Linux Enterprise Server 12-LTSS cyrus-sasl Not affected
SUSE Linux Enterprise Server 15 SP4 cyrus-sasl Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP5 cyrus-sasl Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 cyrus-sasl Already fixed
SUSE Linux Enterprise Workstation Extension 12 SP5 cyrus-sasl Not affected
SUSE Manager Proxy 4.2 cyrus-sasl Already fixed
SUSE Manager Proxy 4.3 cyrus-sasl Already fixed
SUSE Manager Retail Branch Server 4.2 cyrus-sasl Already fixed
SUSE Manager Retail Branch Server 4.3 cyrus-sasl Already fixed
SUSE Manager Server 4.2 cyrus-sasl Already fixed
SUSE Manager Server 4.3 cyrus-sasl Already fixed
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 15 cyrus-sasl Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 cyrus-sasl Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS cyrus-sasl Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS cyrus-sasl Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 cyrus-sasl Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS cyrus-sasl Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS cyrus-sasl Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 cyrus-sasl Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS cyrus-sasl Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS cyrus-sasl Already fixed
SUSE Linux Enterprise High Performance Computing 15-ESPOS cyrus-sasl Not affected
SUSE Linux Enterprise High Performance Computing 15-LTSS cyrus-sasl Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 cyrus-sasl Unsupported
SUSE Linux Enterprise Module for Basesystem 15 SP2 cyrus-sasl Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 cyrus-sasl Already fixed
SUSE Linux Enterprise Server 12 SP2-BCL cyrus-sasl Not affected
SUSE Linux Enterprise Server 12 SP4 cyrus-sasl Not affected
SUSE Linux Enterprise Server 12 SP4-LTSS cyrus-sasl Not affected
SUSE Linux Enterprise Server 15 SP1 cyrus-sasl Unsupported
SUSE Linux Enterprise Server 15 SP1-LTSS cyrus-sasl Not affected
SUSE Linux Enterprise Server 15 SP2 cyrus-sasl Not affected
SUSE Linux Enterprise Server 15 SP2-LTSS cyrus-sasl Not affected
SUSE Linux Enterprise Server 15 SP3 cyrus-sasl Already fixed
SUSE Linux Enterprise Server 15 SP3-LTSS cyrus-sasl Already fixed
SUSE Linux Enterprise Server 15-ESPOS cyrus-sasl Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 cyrus-sasl Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 cyrus-sasl Not affected
SUSE Linux Enterprise Server for SAP Applications 15 cyrus-sasl Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 cyrus-sasl Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP2 cyrus-sasl Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 cyrus-sasl Already fixed
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 cyrus-sasl Not affected
SUSE CaaS Platform 3.0 cyrus-sasl Not affected
SUSE CaaS Platform 4.0 cyrus-sasl Not affected
SUSE Enterprise Storage 5 cyrus-sasl Unsupported
SUSE Enterprise Storage 6 cyrus-sasl Not affected
SUSE Linux Enterprise Desktop 11 SP4 cyrus-sasl Not affected
SUSE Linux Enterprise Desktop 12 cyrus-sasl Not affected
SUSE Linux Enterprise Desktop 12 SP1 cyrus-sasl Not affected
SUSE Linux Enterprise Desktop 12 SP2 cyrus-sasl Not affected
SUSE Linux Enterprise Desktop 12 SP3 cyrus-sasl Not affected
SUSE Linux Enterprise Desktop 12 SP4 cyrus-sasl Not affected
SUSE Linux Enterprise Desktop 15 cyrus-sasl Not affected
SUSE Linux Enterprise Desktop 15 SP1 cyrus-sasl Unsupported
SUSE Linux Enterprise Desktop 15 SP2 cyrus-sasl Not affected
SUSE Linux Enterprise Desktop 15 SP3 cyrus-sasl Already fixed
SUSE Linux Enterprise Micro 5.0 cyrus-sasl Not affected
SUSE Linux Enterprise Module for Basesystem 15 cyrus-sasl Not affected
SUSE Linux Enterprise Point of Service 11 SP3 cyrus-sasl Not affected
SUSE Linux Enterprise Point of Service Image Server 12 SP2 cyrus-sasl Unsupported
SUSE Linux Enterprise Real Time 15 SP2 cyrus-sasl Not affected
SUSE Linux Enterprise Server 11 SP3 cyrus-sasl Not affected
SUSE Linux Enterprise Server 11 SP3-LTSS cyrus-sasl Not affected
SUSE Linux Enterprise Server 11 SP4 cyrus-sasl Not affected
SUSE Linux Enterprise Server 11 SP4 LTSS cyrus-sasl Not affected
SUSE Linux Enterprise Server 11 SP4-LTSS cyrus-sasl Not affected
SUSE Linux Enterprise Server 12 cyrus-sasl Not affected
SUSE Linux Enterprise Server 12 SP1 cyrus-sasl Not affected
SUSE Linux Enterprise Server 12 SP1-LTSS cyrus-sasl Not affected
SUSE Linux Enterprise Server 12 SP2 cyrus-sasl Not affected
SUSE Linux Enterprise Server 12 SP2-ESPOS cyrus-sasl Unsupported
SUSE Linux Enterprise Server 12 SP2-LTSS cyrus-sasl Not affected
SUSE Linux Enterprise Server 12 SP3 cyrus-sasl Not affected
SUSE Linux Enterprise Server 12 SP3-BCL cyrus-sasl Not affected
SUSE Linux Enterprise Server 12 SP3-ESPOS cyrus-sasl Not affected
SUSE Linux Enterprise Server 12 SP3-LTSS cyrus-sasl Not affected
SUSE Linux Enterprise Server 12 SP4-ESPOS cyrus-sasl Not affected
SUSE Linux Enterprise Server 15 cyrus-sasl Not affected
SUSE Linux Enterprise Server 15 SP1-BCL cyrus-sasl Not affected
SUSE Linux Enterprise Server 15 SP2-BCL cyrus-sasl Not affected
SUSE Linux Enterprise Server 15 SP3-BCL cyrus-sasl Already fixed
SUSE Linux Enterprise Server 15-LTSS cyrus-sasl Not affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 cyrus-sasl Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP4 cyrus-sasl Not affected
SUSE Linux Enterprise Server for SAP Applications 12 cyrus-sasl Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 cyrus-sasl Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 cyrus-sasl Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP3 cyrus-sasl Not affected
SUSE Linux Enterprise Software Development Kit 11 SP4 cyrus-sasl Not affected
SUSE Linux Enterprise Software Development Kit 12 cyrus-sasl Not affected
SUSE Linux Enterprise Software Development Kit 12 SP1 cyrus-sasl Not affected
SUSE Linux Enterprise Software Development Kit 12 SP2 cyrus-sasl Not affected
SUSE Linux Enterprise Software Development Kit 12 SP3 cyrus-sasl Not affected
SUSE Linux Enterprise Software Development Kit 12 SP4 cyrus-sasl Not affected
SUSE Linux Enterprise Workstation Extension 12 cyrus-sasl Not affected
SUSE Linux Enterprise Workstation Extension 12 SP1 cyrus-sasl Not affected
SUSE Linux Enterprise Workstation Extension 12 SP2 cyrus-sasl Not affected
SUSE Linux Enterprise Workstation Extension 12 SP3 cyrus-sasl Not affected
SUSE Linux Enterprise Workstation Extension 12 SP4 cyrus-sasl Not affected
SUSE Manager Proxy 4.0 cyrus-sasl Unsupported
SUSE Manager Proxy 4.1 cyrus-sasl Not affected
SUSE Manager Retail Branch Server 4.0 cyrus-sasl Unsupported
SUSE Manager Retail Branch Server 4.1 cyrus-sasl Not affected
SUSE Manager Server 4.0 cyrus-sasl Unsupported
SUSE Manager Server 4.1 cyrus-sasl Not affected
SUSE OpenStack Cloud 7 cyrus-sasl Not affected
SUSE OpenStack Cloud 8 cyrus-sasl Not affected
SUSE OpenStack Cloud 9 cyrus-sasl Not affected
SUSE OpenStack Cloud Crowbar 8 cyrus-sasl Not affected
SUSE OpenStack Cloud Crowbar 9 cyrus-sasl Not affected
Container Status
suse/389-ds
suse/pcp
suse/sles/15.3/libguestfs-tools:0.45.0
suse/sles/15.3/virt-handler:0.45.0
suse/sles/15.3/virt-launcher:0.45.0
suse/sles/15.4/libguestfs-tools:0.49.0
suse/sles/15.4/virt-handler:0.49.0
suse/sles/15.4/virt-launcher:0.49.0
cyrus-saslAlready fixed
suse/sles/15.2/virt-handler:0.38.1
suse/sles/15.2/virt-launcher:0.38.1
cyrus-saslNot affected


SUSE Timeline for this CVE

CVE page created: Thu Jan 7 18:24:28 2021
CVE page last modified: Fri Jan 20 15:17:02 2023